### Function

# GLib Hook get

#### Declaration

    GHook*
    g_hook_get (
      GHookList* hook_list,
      gulong hook_id
    )

#### Description

Returns the `GHook` with the given id, or `NULL` if it is not found.

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook_id`

  Type: `gulong`

  A hook id.

#### Return value

Type: `GHook`

The `GHook` with the given id, or `NULL` if it is not found.

The data is owned by the called function.